#include <bits/stdc++.h>

using namespace std;

int main()
{
    cout << fixed;
    cout << setprecision(3);
    int N;
    cin >> N;
    double A[N];
    double P[N];
    
    for(int i = 0; i < N; i++)
    {
        cin >> A[i] >> P[i];
        P[i] = P[i] / 100;
    }
    
    vector<pair<double,double>> vect; 
  
    for (int i=0; i < N; i++) 
    {
        vect.push_back( make_pair(P[i],A[i]) ); 
    }
  
    sort(vect.begin(), vect.end()); 
  
    double najveci = (double)(vect[N-1].first * vect[N-1].second);
    double trenutni = najveci;
    double porez = vect[N-1].first;
    
    for(int i = N-2; i >= 0; i--)
    {
        trenutni = ((double)(trenutni)) / porez * vect[i].first + vect[i].first * vect[i].second;
        porez = vect[i].first;
        if(trenutni > najveci)
        {
            najveci = trenutni;
        }
    }
    
    cout << najveci;
    

    return 0;
}